/* MyController */

#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>

@interface MyController : NSObject
{
    BOOL active;
    BOOL indeterminate;
    double value;
    NSTimer *timer;
    IBOutlet id bar1;
    IBOutlet id bar2;
    IBOutlet id spin1;
    IBOutlet id spin2;
}
- (IBAction)toggleCursor:(id)sender;
- (IBAction)toggleActive:(id)sender;
- (IBAction)toggleIndeterminate:(id)sender;
- (void)startTimer;
- (void)stopTimer;
- (void)showProgress:(NSTimer *)theTimer;
@end
